enum Method { get, post, put, head, delete, patch }

extension PQMethod on Method {
  String get method {
    switch (this) {
      case Method.get:
        return "GET";
      case Method.post:
        return "POST";
      case Method.put:
        return "PUT";
      case Method.head:
        return "HEAD";
      case Method.delete:
        return "DELETE";
      case Method.patch:
        return "PATCH";
    }
  }
}
